﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.0.77
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.Banking
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.0.77")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("PerformBankingProcess")]
    public partial class PerformBankingProcessFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "PerformBankingProcess.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "PerformBankingProcess", "", ProgrammingLanguage.CSharp, ((string[])(null)));
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Banking After Non Trading Day for Banking for Day One")]
        [NUnit.Framework.CategoryAttribute("PerformBankingProcess")]
        public virtual void BankingAfterNonTradingDayForBankingForDayOne()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Banking After Non Trading Day for Banking for Day One", new string[] {
                        "PerformBankingProcess"});
#line 4
this.ScenarioSetup(scenarioInfo);
#line 5
testRunner.Given("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 6
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 7
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 8
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 9
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 10
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 11
testRunner.And("Float of 105 pounds was taken from Safe under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 12
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 13
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 14
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 15
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 16
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1050 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 17
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 18
testRunner.And("The cashier \'Fred Bloggs\' makes a 1600 pounds pickup under Seal Number \'33333331\'" +
                    " from a Float under Seal Number \'22222221\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 19
testRunner.And("The cashier \'Bill Smith\' makes a 1050 pounds pickup under Seal Number \'33333332\' " +
                    "from a Float under Seal Number \'22222222\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 20
testRunner.And("The cashier \'George Hunt\' makes a 250 pounds pickup under Seal Number \'33333333\' " +
                    "from a Float under Seal Number \'22222223\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 21
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 22
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 23
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 24
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 25
testRunner.And("There was a Safe for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 26
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'22222221\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 27
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'22222222\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 28
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'22222223\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 29
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 30
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1300 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 31
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 800 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 32
testRunner.When("Bankinking day is two days ago", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 33
testRunner.And("Banking Day was closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 34
testRunner.And("Banking Day was closed with Seal Number \'666-66666666-6\' and Slip Number \'123\' wi" +
                    "th comment \'Day One Banking Comment\' and Banking Value of 7000", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 35
testRunner.And("Banking File For Head Office without Cost Code is created", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 36
testRunner.Then("Bad Safe Does Not Exist", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 37
testRunner.And("Safe has Total 5600", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 38
testRunner.And("Banking Bag with Seal Number \'666-66666666-6\' is created today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 39
testRunner.And("Banking Bag with Seal Number \'666-66666666-6\' is Manager Checked today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 40
testRunner.And("After being Manager Checked the Banking Bag with Seal Number \'666-66666666-6\' is " +
                    "destroyed today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 41
testRunner.And("Banking File \'STHOA\' for Account Number 9001 has value 5900.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Banking After Non Trading Day for Banking For Today")]
        public virtual void BankingAfterNonTradingDayForBankingForToday()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Banking After Non Trading Day for Banking For Today", ((string[])(null)));
#line 43
this.ScenarioSetup(scenarioInfo);
#line 44
testRunner.Given("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 45
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 46
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 47
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 48
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 49
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 50
testRunner.And("Float of 105 pounds was taken from Safe under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 51
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 52
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 53
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 54
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 55
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1050 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 56
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 57
testRunner.And("The cashier \'Fred Bloggs\' makes a 1600 pounds pickup under Seal Number \'33333331\'" +
                    " from a Float under Seal Number \'22222221\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 58
testRunner.And("The cashier \'Bill Smith\' makes a 1050 pounds pickup under Seal Number \'33333332\' " +
                    "from a Float under Seal Number \'22222222\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 59
testRunner.And("The cashier \'George Hunt\' makes a 250 pounds pickup under Seal Number \'33333333\' " +
                    "from a Float under Seal Number \'22222223\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 60
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 61
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 62
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 63
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 64
testRunner.And("There was a Safe for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 65
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'22222221\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 66
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'22222222\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 67
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'22222223\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 68
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 69
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1300 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 70
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 800 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 71
testRunner.And("Bankinking day is two days ago", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 72
testRunner.And("Banking Day was closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 73
testRunner.And("Banking Day was closed with Seal Number \'666-66666666-6\' and Slip Number \'123\' wi" +
                    "th comment \'Day One Banking Comment\' and Banking Value of 7000", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 74
testRunner.And("Banking File For Head Office without Cost Code is created", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 75
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 76
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 77
testRunner.And("There was 5090 pounds in Main Safe and 510 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 78
testRunner.And("The cashier \'Fred Bloggs\' makes a 1250 pounds pickup under Seal Number \'55555551\'" +
                    " from a Float under Seal Number \'44444441\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 79
testRunner.And("The cashier \'Bill Smith\' makes a 1350 pounds pickup under Seal Number \'55555552\' " +
                    "from a Float under Seal Number \'44444442\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 80
testRunner.And("The cashier \'George Hunt\' makes a 800 pounds pickup under Seal Number \'55555553\' " +
                    "from a Float under Seal Number \'44444443\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 81
testRunner.When("Banking Day was closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 82
testRunner.And("Banking Day was closed with Seal Number \'777-77777777-7\' and Slip Number \'456\' wi" +
                    "th comment \'Day Two Banking Comment\' and Banking Value of 1500", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 83
testRunner.And("Banking File For Head Office without Cost Code is created", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 84
testRunner.Then("Bad Safe Does Not Exist", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 85
testRunner.And("Safe has Total 7450", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 86
testRunner.And("Banking Bag with Seal Number \'777-77777777-7\' is created today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 87
testRunner.And("Banking Bag with Seal Number \'777-77777777-7\' is Manager Checked today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 88
testRunner.And("After being Manager Checked the Banking Bag with Seal Number \'777-77777777-7\' is " +
                    "destroyed today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 89
testRunner.And("Banking File \'STHOA\' for Account Number 9001 has value 7750.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Banking On Non Trading Day")]
        public virtual void BankingOnNonTradingDay()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Banking On Non Trading Day", ((string[])(null)));
#line 91
this.ScenarioSetup(scenarioInfo);
#line 92
testRunner.Given("The last Safe Bags line had ID \'9544\' in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 93
testRunner.Given("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 94
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 95
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 96
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 97
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 98
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 99
testRunner.And("Float of 105 pounds was taken from Safe under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 100
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 101
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 102
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 103
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 104
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1050 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 105
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 106
testRunner.And("The cashier \'Fred Bloggs\' makes a 1600 pounds pickup under Seal Number \'33333331\'" +
                    " from a Float under Seal Number \'22222221\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 107
testRunner.And("The cashier \'Bill Smith\' makes a 1050 pounds pickup under Seal Number \'33333332\' " +
                    "from a Float under Seal Number \'22222222\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 108
testRunner.And("The cashier \'George Hunt\' makes a 250 pounds pickup under Seal Number \'33333333\' " +
                    "from a Float under Seal Number \'22222223\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 109
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 110
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 111
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 112
testRunner.And("There was a Safe for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 113
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'22222221\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 114
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'22222222\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 115
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'22222223\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 116
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 117
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1300 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 118
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 800 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 119
testRunner.And("The cashier \'Fred Bloggs\' makes a 1250 pounds pickup under Seal Number \'55555551\'" +
                    " from a Float under Seal Number \'44444441\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 120
testRunner.And("The cashier \'Bill Smith\' makes a 1350 pounds pickup under Seal Number \'55555552\' " +
                    "from a Float under Seal Number \'44444442\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 121
testRunner.And("The cashier \'George Hunt\' makes a 800 pounds pickup under Seal Number \'55555553\' " +
                    "from a Float under Seal Number \'44444443\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 122
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 123
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 124
testRunner.And("It was non-trading day", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 125
testRunner.When("Bankinking day is two days ago", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 126
testRunner.And("Banking Day was closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 127
testRunner.And("Banking Day was closed with Seal Number \'666-66666666-6\' and Slip Number \'123\' wi" +
                    "th comment \'Day One Banking Comment\' and Banking Value of 7000", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 128
testRunner.And("Banking File For Head Office without Cost Code is created", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 129
testRunner.Then("Bad Safe Does Not Exist", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 130
testRunner.And("Safe has Total 5600", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 131
testRunner.And("Banking Bag with Seal Number \'666-66666666-6\' is created today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 132
testRunner.And("Banking Bag with Seal Number \'666-66666666-6\' is Manager Checked today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 133
testRunner.And("After being Manager Checked the Banking Bag with Seal Number \'666-66666666-6\' is " +
                    "destroyed today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 134
testRunner.And("Banking File \'STHOA\' for Account Number 9001 has value 5900.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Banking On Trading Day For Banking On day One")]
        public virtual void BankingOnTradingDayForBankingOnDayOne()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Banking On Trading Day For Banking On day One", ((string[])(null)));
#line 136
this.ScenarioSetup(scenarioInfo);
#line 137
testRunner.Given("The last Safe Bags line had ID \'9544\' in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 138
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 139
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 140
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 141
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 142
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 143
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 144
testRunner.And("Float of 105 pounds was taken from Safe under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 145
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 146
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 147
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 148
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 149
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1050 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 150
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 151
testRunner.And("The cashier \'Fred Bloggs\' makes a 1600 pounds pickup under Seal Number \'33333331\'" +
                    " from a Float under Seal Number \'22222221\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 152
testRunner.And("The cashier \'Bill Smith\' makes a 1050 pounds pickup under Seal Number \'33333332\' " +
                    "from a Float under Seal Number \'22222222\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 153
testRunner.And("The cashier \'George Hunt\' makes a 250 pounds pickup under Seal Number \'33333333\' " +
                    "from a Float under Seal Number \'22222223\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 154
testRunner.And("All floats were assigned by the authoriser", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 155
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 156
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 157
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 158
testRunner.And("There was a Safe for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 159
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'22222221\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 160
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'22222222\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 161
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'22222223\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 162
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 163
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1300 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 164
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 800 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 165
testRunner.And("The cashier \'Fred Bloggs\' makes a 1250 pounds pickup under Seal Number \'55555551\'" +
                    " from a Float under Seal Number \'44444441\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 166
testRunner.And("The cashier \'Bill Smith\' makes a 1350 pounds pickup under Seal Number \'55555552\' " +
                    "from a Float under Seal Number \'44444442\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 167
testRunner.And("The cashier \'George Hunt\' makes a 800 pounds pickup under Seal Number \'55555553\' " +
                    "from a Float under Seal Number \'44444443\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 168
testRunner.And("All floats were assigned by the authoriser", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 169
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 170
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 171
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 172
testRunner.And("There was a Safe for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 173
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'44444441\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 174
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'44444442\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 175
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'44444443\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 176
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 800 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 177
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1650 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 178
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 1250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 179
testRunner.And("Bankinking day is two days ago", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 180
testRunner.When("Bankinking day is two days ago", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 181
testRunner.And("Banking Day was closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 182
testRunner.And("Banking Day was closed with Seal Number \'666-66666666-6\' and Slip Number \'123\' wi" +
                    "th comment \'Day One Banking Comment\' and Banking Value of 7000", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 183
testRunner.And("Banking File For Head Office without Cost Code is created", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 184
testRunner.And("All floats were assigned by the authoriser", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 185
testRunner.Then("Bad Safe Does Not Exist", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 186
testRunner.And("Safe has Total 5600", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 187
testRunner.And("Banking Bag with Seal Number \'666-66666666-6\' is created today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 188
testRunner.And("Banking Bag with Seal Number \'666-66666666-6\' is Manager Checked today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 189
testRunner.And("After being Manager Checked the Banking Bag with Seal Number \'666-66666666-6\' is " +
                    "destroyed today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 190
testRunner.And("Banking File \'STHOA\' for Account Number 9001 has value 5900.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Banking On Trading Day For Banking On Day Two")]
        public virtual void BankingOnTradingDayForBankingOnDayTwo()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Banking On Trading Day For Banking On Day Two", ((string[])(null)));
#line 192
this.ScenarioSetup(scenarioInfo);
#line 193
testRunner.Given("The last Safe Bags line had ID \'9544\' in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 194
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 195
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 196
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 197
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 198
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 199
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 200
testRunner.And("Float of 105 pounds was taken from Safe under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 201
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 202
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 203
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 204
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 205
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1050 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 206
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 207
testRunner.And("The cashier \'Fred Bloggs\' makes a 1600 pounds pickup under Seal Number \'33333331\'" +
                    " from a Float under Seal Number \'22222221\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 208
testRunner.And("The cashier \'Bill Smith\' makes a 1050 pounds pickup under Seal Number \'33333332\' " +
                    "from a Float under Seal Number \'22222222\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 209
testRunner.And("The cashier \'George Hunt\' makes a 250 pounds pickup under Seal Number \'33333333\' " +
                    "from a Float under Seal Number \'22222223\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 210
testRunner.And("All floats were assigned by the authoriser", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 211
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 212
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 213
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 214
testRunner.And("There was a Safe for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 215
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'22222221\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 216
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'22222222\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 217
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'22222223\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 218
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 219
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1300 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 220
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 800 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 221
testRunner.And("The cashier \'Fred Bloggs\' makes a 1250 pounds pickup under Seal Number \'55555551\'" +
                    " from a Float under Seal Number \'44444441\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 222
testRunner.And("The cashier \'Bill Smith\' makes a 1350 pounds pickup under Seal Number \'55555552\' " +
                    "from a Float under Seal Number \'44444442\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 223
testRunner.And("The cashier \'George Hunt\' makes a 800 pounds pickup under Seal Number \'55555553\' " +
                    "from a Float under Seal Number \'44444443\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 224
testRunner.And("All floats were assigned by the authoriser", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 225
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 226
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 227
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 228
testRunner.And("There was a Safe for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 229
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'44444441\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 230
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'44444442\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 231
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'44444443\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 232
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 800 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 233
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1650 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 234
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 1250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 235
testRunner.And("Bankinking day is two days ago", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 236
testRunner.And("Bankinking day is two days ago", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 237
testRunner.And("Banking Day was closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 238
testRunner.And("Banking Day was closed with Seal Number \'666-66666666-6\' and Slip Number \'123\' wi" +
                    "th comment \'Day One Banking Comment\' and Banking Value of 7000", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 239
testRunner.And("Banking File For Head Office without Cost Code is created", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 240
testRunner.And("All floats were assigned by the authoriser", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 241
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 242
testRunner.And("Banking Day was yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 243
testRunner.And("There was 5090 pounds in Main Safe and 510 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 244
testRunner.When("Banking Day was closed with Seal Number \'777-77777777-7\' and Slip Number \'456\' wi" +
                    "th comment \'Day Two Banking Comment\' and Banking Value of 1500", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 245
testRunner.Then("Bad Safe Does Not Exist", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 246
testRunner.And("Safe has Total 7450", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 247
testRunner.And("Banking Bag with Seal Number \'777-77777777-7\' is created today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 248
testRunner.And("Banking Bag with Seal Number \'777-77777777-7\' is Manager Checked today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 249
testRunner.And("After being Manager Checked the Banking Bag with Seal Number \'777-77777777-7\' is " +
                    "destroyed today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Banking On Trading Day Miscellaneous In And Out")]
        public virtual void BankingOnTradingDayMiscellaneousInAndOut()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Banking On Trading Day Miscellaneous In And Out", ((string[])(null)));
#line 251
this.ScenarioSetup(scenarioInfo);
#line 252
testRunner.Given("The last Safe Bags line had ID \'9544\' in db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 253
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 254
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 255
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 256
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 257
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 258
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 259
testRunner.And("Float of 105 pounds was taken from Safe under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 260
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 261
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 262
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 263
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 264
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1050 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 265
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 266
testRunner.And("Paid Out for Customer Concern with Value 5.99 nad with Invoice Number \'11111111\' " +
                    "was made by Cashier \'Fred Bloggs\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 267
testRunner.And("Paid Out for Stationery with Value 7.99 nad with Invoice Number \'22222222\' was ma" +
                    "de by Cashier \'Fred Bloggs\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 268
testRunner.And("Paid Out Correction for Breakfast Voucher with Value 9.99 nad with Invoice Number" +
                    " \'33333333\' was made by Cashier \'Fred Bloggs\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 269
testRunner.And("Paid Out Correction for Social Fund with Value 11.99 nad with Invoice Number \'444" +
                    "44444\' was made by Cashier \'Fred Bloggs\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 270
testRunner.And("Paid Out for Travel with Value 13.99 nad with Invoice Number \'55555555\' was made " +
                    "by Cashier \'Fred Bloggs\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 271
testRunner.And("Paid Out Correction for Travel with Value 13.99 nad with Invoice Number \'66666666" +
                    "\' was made by Cashier \'Fred Bloggs\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 272
testRunner.And("Miscellaneous Income For Bad Cheque with Value 15.99 nad with Invoice Number \'777" +
                    "77777\' was made by Cashier \'Fred Bloggs\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 273
testRunner.And("Miscellaneous Income Correction For Social Fund with Value 17.99 nad with Invoice" +
                    " Number \'88888888\' was made by Cashier \'Fred Bloggs\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 274
testRunner.And("The cashier \'Fred Bloggs\' makes a 1600 pounds pickup under Seal Number \'33333331\'" +
                    " from a Float under Seal Number \'22222221\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 275
testRunner.And("The cashier \'Bill Smith\' makes a 1050 pounds pickup under Seal Number \'33333332\' " +
                    "from a Float under Seal Number \'22222222\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 276
testRunner.And("The cashier \'George Hunt\' makes a 250 pounds pickup under Seal Number \'33333333\' " +
                    "from a Float under Seal Number \'22222223\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 277
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 278
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 279
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 280
testRunner.And("There was a Safe for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 281
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'22222221\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 282
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'22222222\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 283
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'22222223\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 284
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 285
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1300 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 286
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 800 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 287
testRunner.And("The cashier \'Fred Bloggs\' makes a 1250 pounds pickup under Seal Number \'55555551\'" +
                    " from a Float under Seal Number \'44444441\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 288
testRunner.And("The cashier \'Bill Smith\' makes a 1350 pounds pickup under Seal Number \'55555552\' " +
                    "from a Float under Seal Number \'44444442\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 289
testRunner.And("The cashier \'George Hunt\' makes a 800 pounds pickup under Seal Number \'55555553\' " +
                    "from a Float under Seal Number \'44444443\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 290
testRunner.And("One day was advanced", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 291
testRunner.And("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 292
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 293
testRunner.And("There was a Safe for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 294
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'44444441\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 295
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'44444442\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 296
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'44444443\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 297
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 800 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 298
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1650 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 299
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 1250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 300
testRunner.When("Bankinking day is two days ago", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 301
testRunner.And("Banking Day was closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 302
testRunner.And("Banking Day was closed with Seal Number \'666-66666666-6\' and Slip Number \'123\' wi" +
                    "th comment \'Day One Banking Comment\' and Banking Value of 7000", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 303
testRunner.And("Banking File For Head Office without Cost Code is created", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 304
testRunner.Then("Banking File \'STHOA\' has Value 5.99 for MiscOut Customer Concern Account \'4003\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 305
testRunner.And("Banking File \'STHOA\' has Value 7.99 for MiscOut Stationery Account \'5604\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 306
testRunner.And("Banking File \'STHOA\' has Value 9.99- for MiscOut Breakfast Voucher Account \'6705\'" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 307
testRunner.And("Banking File \'STHOA\' has Value 11.99- for MiscOut Social Fund Account \'6602\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 308
testRunner.And("Banking File \'STHOA\' has Value 15.99- for MiscIn Bad Cheque Account \'1115\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 309
testRunner.And("Banking File \'STHOA\' has Value 17.99 for MiscIn Social Fund Account \'6601\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 310
testRunner.And("Banking File \'STHOA\' does not have MiscOut for Travel Account Account \'6502\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
